=== src/clib/CMakeLists.txt ===
##
## Copyright 2011-2013 Centreon
##
## Licensed under the Apache License, Version 2.0 (the "License");
## you may not use this file except in compliance with the License.
## You may obtain a copy of the License at
##
##     http://www.apache.org/licenses/LICENSE-2.0
##
## Unless required by applicable law or agreed to in writing, software
## distributed under the License is distributed on an "AS IS" BASIS,
## WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
## See the License for the specific language governing permissions and
## limitations under the License.
##
## For more information : contact@centreon.com
##

# Set directories.
set(INC_DIR "${INC_DIR}/clib")
set(SRC_DIR "${SRC_DIR}/clib")

# Generate version header.
configure_file(
  "${INC_DIR}/version.hh.in"
  "${INC_DIR}/version.hh")

# Set sources.
set(
  SOURCES
  ${SOURCES}
  "${SRC_DIR}/version.cc"
  PARENT_SCOPE
)

# Set headers.
set(
  HEADERS
  ${HEADERS}
  "${INC_DIR}/version.hh"
  PARENT_SCOPE
)
