=== debian/changelog ===
centreon-clib (19.10.0-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:11:14 +0100

centreon-clib (19.10.0-1) unstable; urgency=medium

  * Add debian/watch
  * New upstream version 19.10.0
  * Adjust debian/rules to new source layout
  * Bump up Standards-Version

 -- Sebastien Delafond <seb@debian.org>  Wed, 18 Dec 2019 08:42:49 +0100
